import { Schema } from './schema';
import { Query } from './query';
export declare abstract class AbstractDatabase {
    schema: Schema;
    abstract connect(): any;
    abstract createSchema(): any;
    abstract findAll<T>(query: Query, extra: Object[]): Promise<T[]>;
    abstract insert(query: Query, item: Object): any;
    abstract delete(query: Query, item?: Object): any;
    abstract total(query: Query): Promise<number>;
}
