import 'reflect-metadata';
import { EntityClass } from './query';
export interface IdOptions {
    coalition?: string | string[];
}
export declare function Entity(): (target: Function) => void;
export declare function Extends(base: EntityClass): (target: Function) => void;
export declare function Field(): (target: Object, propertyKey: string) => void;
export declare function Associate(ref: EntityClass, reversedBy: string): (target: Object, propertyKey: string) => void;
export declare function Id(options?: IdOptions): (target: Object, propertyKey: string) => void;
